@charset "utf-8";

[v-cloak] { display: none; }

@font-face {
    font-family: 'NostalgicCocochoitoon';
    src: url('/resources/css/fonts/Griun_Cocochoitoon-Rg.woff2') format('woff2');
    font-weight: normal;
    font-display: swap;
}

* { font-family: 'NostalgicCocochoitoon' , sans-serif; }

*, *::before, *::after {
    box-sizing: border-box;
}

body {
    margin: 0;
    -webkit-text-size-adjust: 100%;
    background-repeat: no-repeat;  /* 이미지 한 번만 표시 */
    background-position: center center;
    background-size: cover;
    background-attachment: fixed;

    -webkit-user-select:none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;

    font-size: 0.8rem;
}

body::before {
    content: '';
    position: fixed;
    inset: 0;
    background: rgba(255, 255, 255, 0.5);  /* 흐림 효과 (값이 클수록 더 흐림) */
    backdrop-filter: blur(4px);
    z-index: 0;
}

#vueRoot {
    position: relative;
    z-index: 1;  /* body::before 위에 표시 */
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}